python3-rgw_12.2.4-0ubuntu0.17.10.1_amd64.deb


Advertisement

Description

python3-rgw - Python 3 libraries for the Ceph librgw library

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Proposed Universe amd64
Package name python3-rgw
Package version 12.2.4
Package release 0ubuntu0.17.10.1
Package architecture amd64
Package type deb
Installed size 339 B
Download size 104.23 KB
Official Mirror archive.ubuntu.com
Ceph is a massively scalable, open-source, distributed
storage system that runs on commodity hardware and delivers object,
block and file system storage.
This package contains Python 3 libraries for interacting with Ceph's
RGW library.

Alternatives

Package Version Architecture Repository
python3-rgw_12.2.4-0ubuntu0.17.10.1_i386.deb 12.2.4 i386 Ubuntu Proposed Universe
python3-rgw_12.2.2-0ubuntu0.17.10.1_i386.deb 12.2.2 i386 Ubuntu Updates Universe
python3-rgw_12.2.2-0ubuntu0.17.10.1_amd64.deb 12.2.2 amd64 Ubuntu Updates Universe
python3-rgw_12.2.0-0ubuntu1_i386.deb 12.2.0 i386 Ubuntu Universe
python3-rgw_12.2.0-0ubuntu1_amd64.deb 12.2.0 amd64 Ubuntu Universe
python3-rgw - - -

Requires

Name Value
libc6 >= 2.14
libpython3.6 >= 3.6.0~b2
librgw2 >= 12.2.4-0ubuntu0.17.10.1
python3 >= 3.6~
python3 << 3.7

Download

Type URL
Binary Package python3-rgw_12.2.4-0ubuntu0.17.10.1_amd64.deb
Source Package ceph

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    deb http://archive.ubuntu.com/ubuntu/ artful-proposed universe
  2. Update the package index:
    # sudo apt-get update
  3. Install python3-rgw deb package:
    # sudo apt-get install python3-rgw

Files

Path
/usr/lib/python3/dist-packages/rgw.cpython-36m-x86_64-linux-gnu.so
/usr/lib/python3/dist-packages/rgw-2.0.0.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/rgw-2.0.0.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/rgw-2.0.0.egg-info/top_level.txt
/usr/share/doc/python3-rgw/changelog.Debian.gz
/usr/share/doc/python3-rgw/copyright

Changelog

2018-03-28 - James Page <james.page@ubuntu.com>
ceph (12.2.4-0ubuntu0.17.10.1) artful; urgency=medium
* New upstream stable release (LP: #1750826):
- d/rules,control: Switch to using vendored boost as 1.66 is required.
- d/rules: Switch to using WITH_BOOST_CONTEXT for rgw beast frontend
enablement.
* d/ceph-osd.install: Add ceph-volume tools (LP: #1750376).
* d/control: Add python-jinja2 to Depends of ceph-mgr (LP: #1752308).
* d/ceph*.prerm: Drop, no longer needed as only use for removed upstart
and init.d methods of managing ceph daemons (LP: #1754585).
2018-01-04 - James Page <james.page@ubuntu.com>
ceph (12.2.2-0ubuntu0.17.10.1) artful; urgency=medium
* New upstream stable release (LP: #1739002).
- d/p/armhf-ftbfs.patch: Cherry pick upstream fix to resolve
FTBFS on armhf.
2017-11-27 - James Page <james.page@ubuntu.com>
ceph (12.2.1-0ubuntu0.17.10.1) artful; urgency=medium
* New upstream stable release (LP: #1728576).
2017-08-30 - James Page <james.page@ubuntu.com>
ceph (12.2.0-0ubuntu1) artful; urgency=medium
* New upstream stable release.
* d/p/32bit-compat-service-daemon.patch: Dropped, accepted upstream.
* d/rules: Install ceph-volume systemd configuration.
* d/*.symbols: Refresh for new release.
2017-08-09 - James Page <james.page@ubuntu.com>
ceph (12.1.2-0ubuntu2) artful; urgency=medium
* d/p/rocksdb-fallthrough-i386.patch: Mark intentional fallthroughs
for compatibility with gcc-7.
* d/p/32bit-compat-service-daemon.patch: Fix implicit type conversion
for Boost variant types on 32 bit architectures (LP: #1709396).
2017-08-07 - James Page <james.page@ubuntu.com>
ceph (12.1.2-0ubuntu1) artful; urgency=medium
* New release candidate for next stable release.
* d/ceph-base.install: Increase scope of install wildcards to ensure
that all ceph modules are included in the binary package.
2017-07-26 - James Page <james.page@ubuntu.com>
ceph (12.1.1-0ubuntu1) artful; urgency=medium
* New release candidate for next stable release.
* d/p/ec-isa-module.patch: Drop, included upstream.
2017-07-07 - James Page <james.page@ubuntu.com>
ceph (12.1.0-0ubuntu1) artful; urgency=medium
* New release candidate for next stable release.
* Sync packaging changes with upstream:
- d/control,python3-*,rules: Add Python 3 support
- d/control,python-rgw.*: Add Python rgw module.
- d/control,ceph-mgr.*,rules: Add ceph-mgr binary packages.
- d/*.symbols: Update for new release.
- d/control,rules,*.install: Switch buildsystem to cmake.
- d/control,rados-objclass-dev.*: Add rados-objclass-dev
binary package.
- d/control,ceph-fs-common.install: Drop ceph-fs-common, fold
binaries into ceph-common.
- d/control,ceph-common.install: Move radosgw-admin to
ceph-common package.
- d/ceph-common.install: Install crypto modules on amd64 only.
- d/*: wrap-and-sort.
- d/p/*: Drop existing patches, either upstream or obsolete due
to switch to cmake build.
- d/control,rules: Drop use of dh-autoreconf.
* Use distro provided boost libraries:
- d/rules: Enable use of system boost instead of vendored copy.
- d/control: Add required boost dependencies >= 1.61.
* Support build on s390x:
- d/rules: Disable RGW Beast frontend on s390x architecture.
- d/control: Scope libboost-{context,coroutine}-dev to exclude
s390x.
* Support build on i386:
- d/p/0001-CoreLocalArray-class.patch,
d/p/0002-core-local-array-type-conversions.patch,
d/p/0003-Core-local-statistics.patch: Cherry pick rocksdb commits
to resolve compatibility with gcc-6 on i386.
* d/p/ec-isa-module.patch: Drop versioning of libec_isa.so to ensure
that it gets installed as part of the package.
* d/control,rules: Workaround arm64 compilation segfault by forcing
use of gcc-7 toolchain for this architecture.

See Also

Package Description
rax-nova-agent_2.1.12-0ubuntu2~17.10.0_all.deb Rackspace Public Cloud Guest Agent
rax-openstack-guest-agents_2.1.12-0ubuntu2~17.10.0_all.deb transitional dummy package
rbd-fuse_12.2.4-0ubuntu0.17.10.1_amd64.deb FUSE-based rbd client for the Ceph distributed file system
rbd-mirror_12.2.4-0ubuntu0.17.10.1_amd64.deb Ceph daemon for mirroring RBD images
rbd-nbd_12.2.4-0ubuntu0.17.10.1_amd64.deb NBD-based rbd client for the Ceph distributed file system
vim-syntax-docker_17.03.2-0ubuntu1~17.10.1_all.deb Docker container engine - Vim highlighting syntax files
Advertisement
Advertisement